Class | Rinda::WaitTemplateEntry
In: | rinda/tuplespace.rb
Parent: | TemplateEntry

Documentation?

### Methods

cancel new read signal wait

### Attributes

found | [R] |

### Public Class methods

new(place, ary, expires=nil)

[Source]

    # File rinda/tuplespace.rb, line 185
        def initialize(place, ary, expires=nil)
          super(ary, expires)
          @place = place
          @cond = place.new_cond
          @found = nil
        end

### Public Instance methods

cancel()

[Source]

    # File rinda/tuplespace.rb, line 192
        def cancel
          super
          signal
        end

read(tuple)

[Source]

    # File rinda/tuplespace.rb, line 201
        def read(tuple)
          @found = tuple
          signal
        end

signal()

[Source]

    # File rinda/tuplespace.rb, line 206
        def signal
          @place.synchronize do
            @cond.signal
          end
        end

wait()

[Source]

    # File rinda/tuplespace.rb, line 197
        def wait
          @cond.wait
        end

[Validate]